Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Mon, 15 Aug 2022 08:59:53 +0000

>
> The implementation of the idea that Gregory mentioned (font locking 
> reasonably accurate even when it doesn't have access to the whole 
> buffer) will have to be done in Lisp anyway. So that's where the 
> narrowing should be applied too.
>

It would be helpful if you did not reiterate your arguments again and 
again.  I think everybody here has understood what your preference would 
be, and your reasons for that preference.  Please give us some time to 
explore the current direction, before asking us to go back and take 
another direction.  The current situation is already, in many aspects, way 
better than it was two months ago.